Debian super estable?

Doncs depen dels paquets que utilitzis…

Resulta que si avui actualitzaves el paquet oficial i estable de lighttpd i passaves d’una 1.4.13-4etch6 a una 1.4.13-4etch7 i tenies configurat el SSL del servidor web, la CPU del teu servidor web començava a suar, el lighttpd començava a llençar errors i a castigar el disc a l’escriure el log d’errors:
(connections.c.1649) SSL: 5 error:00000000:lib(0):func(0):reason(0)

En el meu cas fins a generar un petit error.log com segueix:
rw-r--r-- 1 www-data www-data 3442028544 2008-04-08 17:09 error.log

Un altre motiu per migrar ASAP el servidor cap a una Ubuntu Server.

oriol

oriol wrote 1166 posts

Post navigation

  • http://blog.bitassa.cat Benjamí

    El lighttpd per la Debian és l’inestable, i no tota la Debian :)

    Possiblement en aquest moment el mantenidor del lighttpd està rebent per totes bandes i en dos dies ho tens resolt.

  • http://blog.bitassa.cat Benjamí

    Després d’enviar el comentari he trobat això, fresc d’avui:
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=474951

    En hores potser hi ha güorkaraund 😉

  • http://blog.bitassa.cat Benjamí

    Oops, aquest blog m’havia fallat en enviar i pensava que no havia quedat registrat, esborra’n un, sorry.

  • Oriol Morell i Jané

    @Benjamí: El paquet que Debian o un mantenidor de Debian considera estable no ho era 😉

    Així doncs, em puc refiar o no dels mantenidors de Debian i dels seus paquets?

  • http://alfons.elmeuportal.cat alfons

    Doncs si tens port de la possible inestabilitat de Debian… que passa mesos abans no posa un paquet a l’stable. Imagina amb Ubuntu, on, si quelcom falla, no cal solucionar-ho: sis mesos i versió nova.

  • Oriol Morell i Jané

    De moment no he tingut aquest problema amb Ubuntu, t’aviso quan el tingui… ara si m’he d’esperar 3 anys a la nova versió estable de Debian potser ploro, eh 😉

  • http://blog.bitassa.cat Benjamí

    #4 No ho sé, no els conec a tots!

    Perquè equivocar-se és humà –potser no ho són a can Ubuntu? jo intal·laria el paquet apt-listbugs perquè cerqui els bugs oberts pels paquets que s’instal·laran i avisi. Diu el número de bug, fins i tot obre el navegador per què el llegeixis bé. Dóna la oportunitat de tirar enrere.

  • http://blog.bitassa.cat Benjamí

    M’ho deixava (soc els dels 2 comentaris per a dir una cosa :D)

    Cal que esperis un poc a instal·lar, o no donaries temps a fer el bug quan n’hi hagi. En aquest moment hi és el del lighttpd. Això em diu a una etch:

    Obté:1 http://security.debian.org etch/updates/main lighttpd 1.4.13-4etch7 [289kB]
    S’han recollit 289kB en 2s (121kB/s)
    Reading package fields… Done
    Reading package status… Done
    Retrieving bug reports… Done
    Parsing Found/Fixed information… Done
    critical bugs of lighttpd (-> 1.4.13-4etch7)
    #474951 – lighttpd: Extremely high load with HTTPS sites after update
    Summary:
    lighttpd(1 bug)
    Are you sure you want to install/upgrade the above packages? [Y/n/?/…] n

  • Oriol Morell i Jané

    Està bé Benjamí, però potser caldria diferenciar entre :
    Summary: lighttpd(1 bug)

    I:
    Summary: lighttpd(1 DoS generator bug)

    :-)